gtkmm: Atk::Relation Class Reference

# Atk::Relation Class Reference

An Atk::Relation describes a relation between an object and one or more other objects. More...

Inherits Glib::Object.

Collaboration diagram for Atk::Relation:
[legend]

List of all members.

## Public Member Functions

virtual | ~Relation ()
AtkRelation* | gobj ()
| Provides access to the underlying C GObject.
const AtkRelation* | gobj () const
| Provides access to the underlying C GObject.
AtkRelation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
RelationType | get_relation_type () const
| Gets the type of relation.
Glib::ArrayHandle < Glib::RefPtr< Atk::Object > > | get_target ()
Glib::ArrayHandle < Glib::RefPtr< const Atk::Object > > | get_target () const
void | add_target (const Glib::RefPtr< Atk::Object >& target)
| Adds the specified AtkObject to the target for the relation, if it is not already present.

## Static Public Member Functions

static Glib::RefPtr< Relation > | create (const Glib::ArrayHandle< Glib::RefPtr< Atk::Object > >& targets, RelationType relationship=RELATION_NULL)

## Protected Member Functions

| Relation (const Glib::ArrayHandle< Glib::RefPtr< Atk::Object > >& targets, RelationType relationship)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Atk::Relation > | wrap (AtkRelation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An Atk::Relation describes a relation between an object and one or more other objects.

The actual relations that an object has with other objects are defined as an Atk::RelationSet, which is a set of Atk::Relations.

## Constructor & Destructor Documentation

virtual Atk::Relation::~Relation | ( |  | ) | `[virtual]`

Atk::Relation::Relation | ( | const Glib::ArrayHandle< Glib::RefPtr< Atk::Object > >& | targets,
|  | RelationType | relationship |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

void Atk::Relation::add_target | ( | const Glib::RefPtr< Atk::Object >& | target | ) |

Adds the specified AtkObject to the target for the relation, if it is not already present.

See also Atk::Object::add_relationship().

Since gtkmm 1.9:

Parameters:

  | target | An Atk::Object.

static Glib::RefPtr<Relation> Atk::Relation::create | ( | const Glib::ArrayHandle< Glib::RefPtr< Atk::Object > >& | targets,
|  | RelationType | relationship = `RELATION_NULL` |
| ) |  |  | `[static]`

RelationType Atk::Relation::get_relation_type | ( |  | ) | const

Gets the type of relation.

Returns:
  The type of relation.

Glib::ArrayHandle< Glib::RefPtr<const Atk::Object> > Atk::Relation::get_target | ( |  | ) | const

Glib::ArrayHandle< Glib::RefPtr<Atk::Object> > Atk::Relation::get_target | ( |  | ) |

const AtkRelation* Atk::Relation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

AtkRelation* Atk::Relation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

AtkRelation* Atk::Relation::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Relation > wrap | ( | AtkRelation * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- atkmm/relation.h